public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Leonardo Hernandez" <leohdz172@outlook.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: gui-wm/dwl/
Date: Fri,  2 Dec 2022 18:16:34 +0000 (UTC)	[thread overview]
Message-ID: <1670002251.8caddf8fe26a9b60b70345d3632bfe957842f5ab.leohdz172@gentoo> (raw)

commit:     8caddf8fe26a9b60b70345d3632bfe957842f5ab
Author:     Leonardo Hernández Hernández <leohdz172 <AT> outlook <DOT> com>
AuthorDate: Sat Nov 12 06:24:22 2022 +0000
Commit:     Leonardo Hernandez <leohdz172 <AT> outlook <DOT> com>
CommitDate: Fri Dec  2 17:30:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8caddf8f

gui-wm/dwl: update EAPI 7 -> 8

Signed-off-by: Leonardo Hernández Hernández <leohdz172 <AT> outlook.com>

 gui-wm/dwl/dwl-9999.ebuild | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

diff --git a/gui-wm/dwl/dwl-9999.ebuild b/gui-wm/dwl/dwl-9999.ebuild
index d44eaaac2..b06ca0afe 100644
--- a/gui-wm/dwl/dwl-9999.ebuild
+++ b/gui-wm/dwl/dwl-9999.ebuild
@@ -1,9 +1,9 @@
 # Copyright 2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit savedconfig git-r3
+inherit flag-o-matic git-r3 savedconfig toolchain-funcs
 
 DESCRIPTION="dwm for Wayland"
 HOMEPAGE="https://github.com/djpohly/dwl"
@@ -15,11 +15,11 @@ KEYWORDS=""
 IUSE="X"
 
 RDEPEND="
-	dev-libs/libinput
+	dev-libs/libinput:=
 	dev-libs/wayland
 	x11-libs/libxkbcommon
 	gui-libs/wlroots:0/15[X(-)?]
-	X? ( x11-libs/libxcb )
+	X? ( x11-libs/libxcb:= )
 "
 DEPEND="${RDEPEND}"
 BDEPEND="
@@ -35,13 +35,13 @@ src_prepare() {
 }
 
 src_configure() {
-	sed -i "s/\/local//" config.mk || die
+	sed -i "s:/local::g" config.mk || die
+
+	sed -i "s:pkg-config:$(tc-getPKG_CONFIG):g" config.mk || die
 
 	if use X; then
-		sed -i \
-			-e "s/^#XWAYLAND/XWAYLAND/" \
-			-e "s/^#XLIBS/XLIBS/" \
-			config.mk || die
+		append-cppflags '-DXWAYLAND'
+		append-libs '-lxcb'
 	fi
 }
 


             reply	other threads:[~2022-12-02 18:16 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-02 18:16 Leonardo Hernandez [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-09-24 19:08 [gentoo-commits] repo/proj/guru:dev commit in: gui-wm/dwl/ Leonardo Hernandez
2023-09-24 19:08 Leonardo Hernandez
2023-09-24 19:08 Leonardo Hernandez
2023-09-24 19:08 Leonardo Hernandez
2023-07-24  2:06 Leonardo Hernandez
2023-05-11 17:51 Leonardo Hernandez
2023-05-11 17:51 Leonardo Hernandez
2022-12-30 21:27 Leonardo Hernandez
2022-12-30 21:27 Leonardo Hernandez
2022-12-23  3:54 Hayley Hughes
2022-12-12 14:23 Efe İzbudak
2022-12-11 10:12 Efe İzbudak
2022-12-02 18:16 Leonardo Hernandez
2022-12-02 18:16 Leonardo Hernandez
2022-12-02 18:16 Leonardo Hernandez
2022-09-09 13:35 Efe İzbudak
2022-09-09  2:57 Leonardo Hernandez
2022-09-09  2:57 Leonardo Hernandez
2022-06-07  4:48 Leonardo Hernandez
2022-04-14  5:26 Dex Conner
2022-04-11  5:47 Dex Conner
2022-04-09  6:24 Dex Conner
2022-04-09  5:58 Dex Conner
2022-04-07 18:41 Dex Conner
2022-04-06  5:47 Dex Conner
2021-12-23  4:03 Leonardo Hernandez
2021-05-05  0:46 Anna Vyalkova
2021-02-17 18:52 Simon van der Maas

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1670002251.8caddf8fe26a9b60b70345d3632bfe957842f5ab.leohdz172@gentoo \
    --to=leohdz172@outlook.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox